package com.fastest.pass.forgotpassword.presentation.viewmodels

import androidx.lifecycle.ViewModel
import com.fastest.pass.forgotpassword.utils.ForgotPasswordVerifyRoute
import kotlinx.coroutines.flow.MutableStateFlow

class ForgotPasswordVerifyViewModel : ViewModel() {

    private val _router = MutableStateFlow<ForgotPasswordVerifyRoute>(ForgotPasswordVerifyRoute.OpenNoneScreen)
    val router: MutableStateFlow<ForgotPasswordVerifyRoute> = _router

    fun navigateTo(forgotPasswordVerifyRoute: ForgotPasswordVerifyRoute) {
        _router.value = forgotPasswordVerifyRoute
    }
}